# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-07-03 12:17
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import molo.core.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('wagtailcore', '0032_add_bulk_delete_page_permission'),
        ('core', '0062_increase_char_length_reaction_success'),
    ]

    operations = [
        migrations.CreateModel(
            name='YourTip',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('description', models.TextField(blank=True, null=True)),
                ('extra_style_hints', models.TextField(blank=True, default=b'', help_text='Styling options that can be applied to this section and all its descendants', null=True)),
            ],
            options={
                'verbose_name': 'YourTip',
                'verbose_name_plural': 'YourTips',
            },
            bases=(molo.core.models.TranslatablePageMixinNotRoutable, 'wagtailcore.page'),
        ),
        migrations.CreateModel(
            name='YourTipsArticlePage',
            fields=[
                ('articlepage_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.ArticlePage')),
            ],
            options={
                'abstract': False,
            },
            bases=('core.articlepage',),
        ),
        migrations.CreateModel(
            name='YourTipsEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('submission_date', models.DateField(auto_now_add=True, null=True)),
                ('optional_name', models.CharField(blank=True, max_length=30, null=True)),
                ('tip_text', models.CharField(max_length=140)),
                ('allow_share_on_social_media', models.BooleanField()),
                ('converted_article_page', models.ForeignKey(blank=True, help_text='Your tip article page to which the entry was converted to', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tip_entries', to='yourtips.YourTipsEntry')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'YourTips Entry',
                'verbose_name_plural': 'YourTips Entries',
            },
        ),
        migrations.CreateModel(
            name='YourTipsIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page', molo.core.models.PreventDeleteMixin),
        ),
        migrations.CreateModel(
            name='YourTipsSectionIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page', molo.core.models.PreventDeleteMixin),
        ),
    ]
